package cn.com.qmth.examcloud.bridge;

import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;

/**
 * 启动类
 *
 * @author WANGWEI
 * @date 2019年10月12日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@SpringBootApplication
@Configuration
@ComponentScan(basePackages = {"cn.com.qmth"})
@EnableAutoConfiguration(exclude = {DataSourceAutoConfiguration.class})
public class BridgeApp {

	static {
		String runtimeLevel = System.getProperty("log.commonLevel");
		if (null == runtimeLevel) {
			System.setProperty("log.commonLevel", "DEBUG");
		}
	}

	/**
	 * main
	 *
	 * @author WANGWEI
	 * @param args
	 */
	public static void main(String[] args) {

		AppBootstrap.run(BridgeApp.class, args);

		test();
	}

	/**
	 * 测试方法
	 *
	 * @author WANGWEI
	 */
	private static void test() {
		Tester tester = SpringContextHolder.getBean(Tester.class);
		tester.test();
	}

}
